Bug 116587 - Mozilla doesn't print correctly
Mozilla doesn't print correctly
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2004-02-23 10:29 EST by Don Himelrick
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 16:23:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A mozilla "print to file" showing formatting problems (532.32 KB, application/postscript)
2004-02-25 11:02 EST, Don Himelrick
no flags Details

  None (edit)
Description Don Himelrick 2004-02-23 10:29:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Try to print this URL:


What I get is an almost completely blank first page and subsequent
pages with rather small type and incorrerct line wrapping.   I can't
recall ever being able to get a nice print of a web page from mozilla.
 If I uncheck "fit to page" in the page setup, the type is nice and
big, but I only get about half of each line.  The other half doesn't
wrap and gets cut off.  If I manually set the percentage of the page
size, it never seems to get the right-hand margin correct and cuts off
the right side of longer lines of text.  I've adjusted my left and
right margins, but mozilla still seems to calculate the right side of
the page incorrectly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.See description

Additional info:
Comment 1 Don Himelrick 2004-02-23 10:41:15 EST
O.K., I'll eat some of my own words :)  This only seems to happen in
the print preview.  I guess I shouldn't use the print preview anymore
to determine what will actually print.  With reasonable margins, the
page prints correctly with "fit to page" checked.  It would be nicer
if it would use a larger type size and wrap the lines correctly.
Comment 2 Don Himelrick 2004-02-25 11:00:36 EST
This page demonstrates the problem I've had for some time.  AS far as
I know, my page setup is the default with fit to page checked.


I'll attach the mozilla generated postscript.
Comment 3 Don Himelrick 2004-02-25 11:02:24 EST
Created attachment 98039 [details]
A mozilla "print to file" showing formatting problems
Comment 4 Don Himelrick 2004-12-09 16:40:42 EST
Firefox and mozilla still do not print correctly in FC3
Comment 5 Felix Boecker 2004-12-20 09:10:02 EST
On my FC3 64bit installation, Firefox prints fine but Thunderbird cuts
off the right margin because it doesn't seem to line-wrap properly.
The fonts also are rather large (size 14 or 16 I'd judge) although I'm
not sure if the two problems go hand-in-hand.
Comment 6 Matthew Miller 2006-07-10 17:57:00 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 John Thacker 2006-10-29 16:23:53 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are only supported by Fedora Legacy for security fixes.  If this is a
security issue, please assign to Fedora Legacy.  Otherwise, please retest with
FC5 or FC6, and if it still occurs, please reopen and assign to the correct
version.  Many changes have occurred since this bug was first filed and it may
be fixed in a more recent version.  We apologize for not fixing this bug
earlier.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.